#!/bin/bash


# Initialize our own variables:
jvm="/usr/bin/java"
jarfile="@CMAKE_INSTALL_PREFIX@/share/fastamanager/fastamanager.jar"

if [ $(uname -m) == "x86_64" ]; then
	if [ -f "/usr/lib/jvm/java-6-openjdk-amd64/bin/java" ]; then
		jvm="/usr/lib/jvm/java-6-openjdk-amd64/bin/java"
	else
		if [ -f "/usr/lib/jvm/java-7-openjdk-amd64/bin/java" ]; then
			jvm="/usr/lib/jvm/java-7-openjdk-amd64/bin/java"
		fi
	fi
else
	if [ -f "/usr/lib/jvm/java-6-openjdk-i386/bin/java" ]; then
		jvm="/usr/lib/jvm/java-6-openjdk-i386/bin/java"
	else
		if [ -f "/usr/lib/jvm/java-7-openjdk-i386/bin/java" ]; then
			jvm="/usr/lib/jvm/java-7-openjdk-i386/bin/java"
		fi
	fi
fi

$jvm -jar $jarfile $@

# End of file
