package fr.inra.pappso.FastaManager.exception;

public class FastaException extends Exception {
	private static final long serialVersionUID = 1L;
	private String mess;

	/**
	 * build the exception with a customized message
	 *
	 * @param message
	 */
	public FastaException(String message) {
		super(message);
		mess = message;
	}

	public FastaException(String message, Exception e) {
		super(message, e);
	}

	public String getMessage() {
		return (mess);
	}

	public String toString() {
		return (mess);
	}
}
