package fr.inra.pappso.FastaManager.sequence_transforme;

import fr.inra.pappso.FastaManager.sequence.sequence;
import fr.inra.pappso.FastaManager.sequence.sequence_prot;

public class seq_prot_to_reverse extends seq_transforme {
	private seq_transforme trans;
	
	public seq_prot_to_reverse() {
		this.seq_out = new sequence_prot[1];
		this.trans = new seq_to_seq_protein();
	}

	public sequence[] transforme(sequence S) throws Exception {
		this.seq_out = this.trans.transforme(S);
		String sequence = "";
		String seq = this.seq_out[0].get_sequence();
		for (int i = 0; i < seq.length(); i++) {
			sequence = seq.substring(i, i + 1) + sequence;
		}
		this.seq_out[0].set_sequence(sequence);
		this.seq_out[0].set_accession(this.seq_out[0].get_accession()
				+ "|Rev" );
		return (this.seq_out);
	}
	public String get_type(){
		return("Protein to reverse");
	}
	public String get_sequence_type(){
		return("PROT");
	}

}
